<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102 || $dostup==103){

##########################################################################
##                         Главная страница                             ##
##########################################################################

echo '<img src="../images/img/partners.gif" alt=""> <b>Ожидающие подтверждения регистрации</b><br><br>';

foreach (glob(BASEDIR."local/profil/*.prof") as $filename) {
$array_users[] = basename($filename);
}

foreach($array_users as $arrvalue){
$tex = file_get_contents(BASEDIR."local/profil/$arrvalue");
$data = explode(":||:",$tex);

if($data[46]=="1" && xoft_decode($data[47],$config_keypass)>$sitetime){
$dat_user[]=$data[0];
$dat_data[]=$data[47];
}

if($data[46]=="1" && xoft_decode($data[47],$config_keypass)<$sitetime){
$dat_deluser[]=$data[0];
}
}

$count_delusers=count($dat_deluser);

if($count_delusers>0){
echo '<font color="#FF0000">Было удалено аккаунтов не подтвердивших регистрацию: <b>'.(int)$count_delusers.'</b> </font><br>';

echo 'Список: ';

foreach($dat_deluser as $delkey=>$delvalue){

if($delvalue!=""){
if($delkey==0){ echo $delvalue;	} else { echo ', '.$delvalue; }

delete_users($delvalue);
}}

echo '<br><hr>';
}
	
arsort($dat_user);	

$count_podusers=count($dat_user);

if($count_podusers>0){

foreach($dat_user as $k=>$v){

echo '<img src="../images/img/chel.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$dat_user[$k].'&amp;'.SID.'"> '.$dat_user[$k].' </a></b>';
echo '(Истекает: '.date_fixed(xoft_decode($dat_data[$k],$config_keypass)).')<br>';
	
echo '<img src="../images/img/edit.gif" alt=""> [<a href="zaban.php?action=edit&amp;users='.$dat_user[$k].'&amp;'.SID.'">Забанить</a>]';

if ($dostup==101 || $dostup==102){echo ' [<a href="users.php?action=edit&amp;users='.$dat_user[$k].'&amp;'.SID.'">Редактировать</a>]';}

echo '<hr>';
}

echo 'Всего ждущих подтверждения: '.(int)$count_podusers.'<br>';

} else { echo '<b>Нет юзеров требующих подтверждения регистрации</b><br>';}

echo '<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
